Page MenuHomePhabricator

Install Extension:Translate on beta.wikiversity
Closed, ResolvedPublic

Description

Please install extension:Translate on beta.wikiversity

Local discussion:
https://beta.wikiversity.org/wiki/Wikiversity:Babel#Install_Extension:Translate

Thanks

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2017, 9:02 PM
Nemo_bis triaged this task as Normal priority.Mar 11 2017, 9:52 PM
Nemo_bis added a subscriber: Nemo_bis.

Ok. Standard $wmgUseTranslate config plus the usual wgAddGroups change seems to fit.

@Nemo_bis & @Nikerabbit Do we need to deploy/generate some tables before installing? Are all E:Translate dependencies installed already too?

@Samuele2002 Do you want all users able to use the extension, or wish only registered users/autoconfirmed/etc. being able to.

@MarcoAurelio I would say that all users can be able to use the extension

Please see previous deployments. You need to create database tables, and index in ElasticSearch (coordinate with them as they are doing upgrades). I suggest to reuse previous configs instead of deviating from them. There is also documentation somewhere how to install Translate. @Reedy would you remember where that is?

Please see previous deployments. You need to create database tables, and index in ElasticSearch (coordinate with them as they are doing upgrades). I suggest to reuse previous configs instead of deviating from them. There is also documentation somewhere how to install Translate. @Reedy would you remember where that is?

mwscript extensions/WikimediaMaintenance/createExtensionTable.php --wiki=foowiki translate

Maybe some docs should be posted at Wikitech about this for the future? Thanks!

Mentioned in SAL (#wikimedia-operations) [2017-03-21T22:28:17Z] <Dereckson> Create Translate tables on betawikiversity (T160120)

Change 344045 had a related patch set uploaded (by Dereckson):
[operations/mediawiki-config] Enable Translate on beta.wikiversity

https://gerrit.wikimedia.org/r/344045

Change 344045 merged by jenkins-bot:
[operations/mediawiki-config] Enable Translate on beta.wikiversity

https://gerrit.wikimedia.org/r/344045

Mentioned in SAL (#wikimedia-operations) [2017-03-21T23:29:11Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Enable Translate on beta.wikiversity (T160120) (duration: 00m 45s)

Dereckson closed this task as Resolved.Mar 21 2017, 11:31 PM

Extension is installed.

Bureaucrats can add/remove translationadmin (needed to mark a page for translation).

Thank you. @Dereckson It might not allow the admin to add yourself as a translationadmin?

We can do that too, yes.

You could do it. Thanks very much

Change 344060 had a related patch set uploaded (by Dereckson):
[operations/mediawiki-config] Allow translationadmin self-add for beta.wikiversity admins

https://gerrit.wikimedia.org/r/344060

Change 344060 merged by jenkins-bot:
[operations/mediawiki-config] Allow translationadmin self-add for beta.wikiversity admins

https://gerrit.wikimedia.org/r/344060

Mentioned in SAL (#wikimedia-operations) [2017-03-22T00:05:56Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Allow translationadmin self-add for beta.wikiversity admins (T160120) (duration: 00m 43s)

@Samuele2002 Here you are. Admins are now able to self-add/remove.